Confused about linux kernel to use in linux mint 18 (solved)

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
Post Reply
richmorehave
Level 4
Level 4
Posts: 221
Joined: Sun Sep 13, 2015 8:17 am

Confused about linux kernel to use in linux mint 18 (solved)

Post by richmorehave » Wed Jul 06, 2016 8:09 pm

I was using Linux mint 17.3 and I used the (recommended) linux kernel, it was easy in Linux 17 because next to one of the kernels was (recommended).

But it is different in Linux Mint 18. None of the 4 linux kernels that show has next to it recommended. I liked the way Linux Mint 17 showed the kernels because I would only install the recommended one.

Is there a recommended kernel for Linux Mint 18?

I am confused. Shouldn't one of the linux kernels say "recommended" and "safe".
Last edited by richmorehave on Fri Jul 08, 2016 1:25 am, edited 1 time in total.
Switched to Linux Mint to get away from windows 10 spying.
Until MS states that they will not scan,disclose and save any personal files, folders, on my PC, I will not trust them. I would need 3rd party verification.

Laurent85
Level 15
Level 15
Posts: 5965
Joined: Tue May 26, 2015 10:11 am

Re: Confused about linux kernel to use in linux mint 18

Post by Laurent85 » Thu Jul 07, 2016 2:31 am

richmorehave wrote: Is there a recommended kernel for Linux Mint 18?
Mint 18 installs and recommends kernel version 4.4.0-21.
Image

User avatar
jimallyn
Level 18
Level 18
Posts: 8904
Joined: Thu Jun 05, 2014 7:34 pm
Location: Wenatchee, WA USA

Re: Confused about linux kernel to use in linux mint 18

Post by jimallyn » Thu Jul 07, 2016 2:09 pm

There are issues with kernel 4.4.0-21, and you should probably update to 4.4.0-28, which corrects those issues.
Image

“If the government were coming for your TVs and cars, then you'd be upset. But, as it is, they're only coming for your sons.” - Daniel Berrigan

richmorehave
Level 4
Level 4
Posts: 221
Joined: Sun Sep 13, 2015 8:17 am

Re: Confused about linux kernel to use in linux mint 18

Post by richmorehave » Thu Jul 07, 2016 4:28 pm

Thanks guys for the heads up.

There are currently 4 linux kernels showing in Linux Mint 18, but none of them are indicating which one is the recommended kernel.

Are all 4 linux kernels recommended?

In Linux Mint 17.2, 17.3 ... there was a recommended kernel , it said when showing all the kernels which one was Recommended.

I just updated my kernel to the latest one, it was listed as Level 5 upgrade. It was the one jimallyn said was the best. So the others are not as good?

I sort of want the safest linux mint kernel as stay away from experimental ones, I figure the latest one is more experimental, am I wrong?
Switched to Linux Mint to get away from windows 10 spying.
Until MS states that they will not scan,disclose and save any personal files, folders, on my PC, I will not trust them. I would need 3rd party verification.

User avatar
don250r
Level 3
Level 3
Posts: 143
Joined: Thu Feb 11, 2016 2:41 pm

Re: Confused about linux kernel to use in linux mint 18

Post by don250r » Thu Jul 07, 2016 6:14 pm

More or less, you are wrong about the experimental kernel.
The kernel in the repository is/was stable when the Mint team made it a "distro" kernel.
If in doubt, head over to kernel.org. Latest stable release is currently 4.6.3, with 4.7 in the testing channel.
I would call 4.7 an "experimental" kernel.
In short, i would say ANY kernel in the repos would be considered safe
Mint 18 Cinnamon, 4.6.3 kernel
Intel i5-2500k@4.8GHz
16 Gb DDR3
Nvidia GTX670

richmorehave
Level 4
Level 4
Posts: 221
Joined: Sun Sep 13, 2015 8:17 am

Re: Confused about linux kernel to use in linux mint 18

Post by richmorehave » Thu Jul 07, 2016 6:21 pm

don250r
Thanks for the info. So if linux kernel shows up in Linux Mint 18 they are all considered Safe and recommended. Thanks
Switched to Linux Mint to get away from windows 10 spying.
Until MS states that they will not scan,disclose and save any personal files, folders, on my PC, I will not trust them. I would need 3rd party verification.

User avatar
terry_gardener
Level 1
Level 1
Posts: 5
Joined: Sat Aug 04, 2012 6:55 pm

Re: Confused about linux kernel to use in linux mint 18

Post by terry_gardener » Thu Jul 07, 2016 6:36 pm

@richmorehave i would say any released 4.4 kernel is going to safe to use as it is a longterm support kernel., like someone has already said 4.5 and 4.6 are stable kernel but not long term support and 4.7 is development/testing kernels.

--------------------------------------------------------------------
from kernel.org website

mainline: 4.7-rc6 2016-07-04
stable: 4.6.3 2016-06-24
stable: 4.5.7 2016-06-08
longterm: 4.4.14 2016-06-24
longterm: 4.1.27 2016-06-23
longterm: 3.18.36 2016-06-23
longterm: 3.16.36 2016-06-15
longterm: 3.14.73 2016-06-24
longterm: 3.12.61 2016-06-20
longterm: 3.10.102 2016-06-12
longterm: 3.4.112 2016-04-27
longterm: 3.2.81 2016-06-15

richmorehave
Level 4
Level 4
Posts: 221
Joined: Sun Sep 13, 2015 8:17 am

Re: Confused about linux kernel to use in linux mint 18

Post by richmorehave » Thu Jul 07, 2016 7:05 pm

terry_gardener
Very good info, that is what I needed.
Thanks
Switched to Linux Mint to get away from windows 10 spying.
Until MS states that they will not scan,disclose and save any personal files, folders, on my PC, I will not trust them. I would need 3rd party verification.

User avatar
jimallyn
Level 18
Level 18
Posts: 8904
Joined: Thu Jun 05, 2014 7:34 pm
Location: Wenatchee, WA USA

Re: Confused about linux kernel to use in linux mint 18 (solved)

Post by jimallyn » Fri Jul 08, 2016 9:49 pm

I repeat: there are vulnerabilities in kernel 4.4.0-21, and you should update to 4.4.0-28.

http://www.ubuntu.com/usn/usn-3016-1/

http://news.softpedia.com/news/canonica ... 5720.shtml
Image

“If the government were coming for your TVs and cars, then you'd be upset. But, as it is, they're only coming for your sons.” - Daniel Berrigan

ostracized
Level 4
Level 4
Posts: 230
Joined: Tue Jun 14, 2016 11:46 pm

Re: Confused about linux kernel to use in linux mint 18 (solved)

Post by ostracized » Fri Jul 08, 2016 10:31 pm

jimallyn wrote:I repeat: there are vulnerabilities in kernel 4.4.0-21, and you should update to 4.4.0-28.

http://www.ubuntu.com/usn/usn-3016-1/

http://news.softpedia.com/news/canonica ... 5720.shtml
Glad you brought this up. Mods, since only @jimallyn has mentioned these security updates, what are your personal feelings about this? How do you reconcile a security update that you "need to install ASAP" with a "dangerous" level 5 update in the mint updater?
Last edited by ostracized on Fri Jul 08, 2016 11:06 pm, edited 1 time in total.

User avatar
don250r
Level 3
Level 3
Posts: 143
Joined: Thu Feb 11, 2016 2:41 pm

Re: Confused about linux kernel to use in linux mint 18 (solved)

Post by don250r » Fri Jul 08, 2016 10:54 pm

Contrary to the general consensus on Mint(if it works, dont fix it), let me reiterate:

http://www.makeuseof.com/tag/5-reasons- ... nel-linux/
Mint 18 Cinnamon, 4.6.3 kernel
Intel i5-2500k@4.8GHz
16 Gb DDR3
Nvidia GTX670

User avatar
jimallyn
Level 18
Level 18
Posts: 8904
Joined: Thu Jun 05, 2014 7:34 pm
Location: Wenatchee, WA USA

Re: Confused about linux kernel to use in linux mint 18 (solved)

Post by jimallyn » Sat Jul 09, 2016 3:06 am

ostracized, I will be curious to see what others say about this. Ordinarily, if something works, I leave it alone. But since this one involves security issues, I think it's best to update. Ubuntu recommends updating to 4.4.0-28, and since Mint is based on Ubuntu, I think the same should apply in Mint. I'm kinda surprised that Mint hasn't made an official announcement on this.
Image

“If the government were coming for your TVs and cars, then you'd be upset. But, as it is, they're only coming for your sons.” - Daniel Berrigan

ostracized
Level 4
Level 4
Posts: 230
Joined: Tue Jun 14, 2016 11:46 pm

Re: Confused about linux kernel to use in linux mint 18 (solved)

Post by ostracized » Sat Jul 09, 2016 3:42 am

jimallyn wrote:I'm kinda surprised that Mint hasn't made an official announcement on this.
As am I. I've reviewed Ubuntu's release...they all seem to point to local vulns so if you're the type that frets over physical security of your box then you'll want to upgrade. We really don't need USB backdoors in the kernel...unlike other OSes. I've installed the upgrade...I find it funny how the system assumes the user is supposed to reboot for changes to take effect. A minimal prompt to restart might be a good idea here. I was worried about the 1-off report that AMD drivers would go haywire but so far it's been fine for my 280. My jerry-rigged firejail setup also seems to still be functional. Everything else seems normal.

...but as you've said, some good direction from the mods would be helpful.

Post Reply

Return to “Newbie Questions”